[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dist-upgrade broken my X



On Tue, Dec 15, 2009 at 11:04:19PM +0800, John Wong wrote:
> After running apt-get update && apt-get -y dist-upgrade,
> "apt-get" remove some package, i haven't noticed, include gdm.
> now i can't login to X.
> 
> my system info:
> amd64/unstable/testing
> 2.6.31-xx kernel
> xfce4-xx
> gdm
> 
> I don't remember my /etc/apt/source.list
> deb http://ftp.debian.org/testing something-like-that
> deb http://ftp.debian.org/unstable something-like-that
> deb http://ftp.debian.org/testing/security something-like-that
> 
> Does anyone like me, remove some package by dist-upgrade, then can't
> login X?
> How to solve it?

If you run unstable (which you appear to do) then these things happen.

You can try doing:

apt-get install gdm xserver-xorg

-- 
Len Sorensen


Reply to: